Bug 189081 - Review Request: perl-Test-Prereq
Summary: Review Request: perl-Test-Prereq
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 189080
Blocks: FE-ACCEPT 189084
TreeView+ depends on / blocked
 
Reported: 2006-04-15 18:07 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 20:47:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Pritchard 2006-04-15 18:07:45 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Prereq/perl-Test-Prereq.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Prereq-1.030-1.src.rpm
Description:
The prereq_ok() function examines the modules it finds in blib/lib/,
blib/script, and the test files it finds in t/ (and test.pl). It figures
out which modules they use, skips the modules that are in the Perl core,
and compares the remaining list of modules to those in the PREREQ_PM
section of Makefile.PL.

Comment 1 Jason Tibbitts 2006-04-23 03:35:10 UTC
I'm assuming perl-Module-Info will be approved, so I'll go ahead and review this.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   9acb4eb0737bb041e9ece8ad08e127c3  Test-Prereq-1.030.tar.gz
   9acb4eb0737bb041e9ece8ad08e127c3  Test-Prereq-1.030.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock (development, i386).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present but necessarily disabled.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED.

Comment 2 Steven Pritchard 2006-05-07 20:47:34 UTC
Imported into CVS, branches created, and builds requested.


Note You need to log in before you can comment on or make changes to this bug.